summaryrefslogtreecommitdiffstats
path: root/system/epson-printer-utility/rc.ecbd
diff options
context:
space:
mode:
Diffstat (limited to 'system/epson-printer-utility/rc.ecbd')
-rw-r--r--system/epson-printer-utility/rc.ecbd33
1 files changed, 33 insertions, 0 deletions
diff --git a/system/epson-printer-utility/rc.ecbd b/system/epson-printer-utility/rc.ecbd
new file mode 100644
index 0000000000..c534fab9aa
--- /dev/null
+++ b/system/epson-printer-utility/rc.ecbd
@@ -0,0 +1,33 @@
+#!/bin/sh
+#script to start/stop etc epson communication backend daemon ecbd
+
+if [ ! -x /usr/lib/epson-backend/ecbd ]; then
+ echo "/usr/lib/epson-backend/ecbd not executable"
+ exit 1
+fi
+PIDFILE=/var/run/ecbd.pid
+OPT=${1:-start}
+case "$OPT" in
+'start')
+ if [ `ps -A|grep ecbd|grep -v "rc.ecbd"|wc -l` -gt 0 ]||[ -e $PIDFILE ]; then
+ echo "ecbd is already running"
+ else
+ /usr/lib/epson-backend/ecbd -p $PIDFILE &
+ fi
+ ;;
+'stop')
+ if [ -e /var/run/ecbd.pid ]; then
+ kill `cat $PIDFILE`
+ fi
+ rm -f $PIDFILE
+ ;;
+'restart')
+ if [ -e $PIDFILE ]; then
+ kill `cat $PIDFILE`
+ fi
+ rm -f $PIDFILE
+ /usr/lib/epson-backend/ecbd -p $PIDFILE &
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac